* Include file for the Anchor class and Anchor Builder
*
* Author: Ryan Katri
* Copyright (c) 2003 Ryan Katri
* You may freely distribute for use in your own projects, 
* commercial or otherwise.
*
* Contact: ryan@cobsystem.com
*
#define ANCHOR_NONE				0
#define ANCHOR_TOP				1
#define ANCHOR_LEFT				2
#define ANCHOR_BOTTOM 			4
#define ANCHOR_RIGHT 			8

#define ANCHOR_RELATIVE_TOP		16
#define ANCHOR_RELATIVE_LEFT	32
#define ANCHOR_RELATIVE_BOTTOM	64
#define ANCHOR_RELATIVE_RIGHT	128

#define ANCHOR_HORZFIXED		256
#define ANCHOR_VERTFIXED		512

#define ANCHOR_HORZCENTER		1024
#define ANCHOR_VERTCENTER		2048
